OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.ViewportArray

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBViewportArray :: MonadIO m => m Bool
- gl_ARB_viewport_array :: Bool
- gl_DEPTH_RANGE :: GLenum
- gl_FIRST_VERTEX_CONVENTION :: GLenum
- gl_LAST_VERTEX_CONVENTION :: GLenum
- gl_LAYER_PROVOKING_VERTEX :: GLenum
- gl_MAX_VIEWPORTS :: GLenum
- gl_PROVOKING_VERTEX :: GLenum
- gl_SCISSOR_BOX :: GLenum
- gl_SCISSOR_TEST :: GLenum
- gl_UNDEFINED_VERTEX :: GLenum
- gl_VIEWPORT :: GLenum
- gl_VIEWPORT_BOUNDS_RANGE :: GLenum
- gl_VIEWPORT_INDEX_PROVOKING_VERTEX :: GLenum
- gl_VIEWPORT_SUBPIXEL_BITS :: GLenum
- glDepthRangeArrayv :: MonadIO m => GLuint -> GLsizei -> Ptr GLdouble -> m ()
- glDepthRangeIndexed :: MonadIO m => GLuint -> GLdouble -> GLdouble -> m ()
- glGetDoublei_v :: MonadIO m => GLenum -> GLuint -> Ptr GLdouble -> m ()
- glGetFloati_v :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glScissorArrayv :: MonadIO m => GLuint -> GLsizei -> Ptr GLint -> m ()
- glScissorIndexed :: MonadIO m => GLuint -> GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glScissorIndexedv :: MonadIO m => GLuint -> Ptr GLint -> m ()
- glViewportArrayv :: MonadIO m => GLuint -> GLsizei -> Ptr GLfloat -> m ()
- glViewportIndexedf :: MonadIO m => GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glViewportIndexedfv :: MonadIO m => GLuint -> Ptr GLfloat -> m ()

# Extension Support

glGetARBViewportArray :: MonadIO m => m Bool

Is the ARB_viewport_array extension supported?

gl_ARB_viewport_array :: Bool

Is the ARB_viewport_array extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBViewportArray` in those cases instead.

# Enums

gl_DEPTH_RANGE :: GLenum

gl_FIRST_VERTEX_CONVENTION :: GLenum

gl_LAST_VERTEX_CONVENTION :: GLenum

gl_LAYER_PROVOKING_VERTEX :: GLenum

gl_MAX_VIEWPORTS :: GLenum

gl_PROVOKING_VERTEX :: GLenum

gl_SCISSOR_BOX :: GLenum

gl_SCISSOR_TEST :: GLenum

gl_UNDEFINED_VERTEX :: GLenum

gl_VIEWPORT :: GLenum

gl_VIEWPORT_BOUNDS_RANGE :: GLenum

gl_VIEWPORT_INDEX_PROVOKING_VERTEX :: GLenum

gl_VIEWPORT_SUBPIXEL_BITS :: GLenum

# Functions

glDepthRangeArrayv

Arguments

:: MonadIO m |
=> GLuint | `first`.
-> GLsizei | `count`.
-> Ptr GLdouble | `v` pointing to `COMPSIZE(count)` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 4.x.

glDepthRangeIndexed

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `n`.
-> GLdouble | `f`.
-> m () |

Manual page for OpenGL 4.x.

glGetDoublei_v

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `index`.
-> Ptr GLdouble | `data` pointing to `COMPSIZE(target)` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 4.x.

glGetFloati_v

Arguments

:: MonadIO m |
=> GLenum | `target` of type `TypeEnum`.
-> GLuint | `index`.
-> Ptr GLfloat | `data` pointing to `COMPSIZE(target)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glScissorArrayv

Arguments

:: MonadIO m |
=> GLuint | `first`.
-> GLsizei | `count`.
-> Ptr GLint | `v` pointing to `COMPSIZE(count)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.

glScissorIndexed

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `left`.
-> GLint | `bottom`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual page for OpenGL 4.x.

glScissorIndexedv

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLint | `v` pointing to `4` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.

glViewportArrayv

Arguments

:: MonadIO m |
=> GLuint | `first`.
-> GLsizei | `count`.
-> Ptr GLfloat | `v` pointing to `COMPSIZE(count)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glViewportIndexedf

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `w`.
-> GLfloat | `h`.
-> m () |

Manual page for OpenGL 4.x.

glViewportIndexedfv

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `4` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.